<div class="card border-dark mb-3 app-container">
  <div class="card-body">
    <h5>
      Export in progress...
    </h5>
    <ul>
      <li class="progress-point" *ngFor="let progressPoint of progressPoints">
        <ng-template [ngIf]="progressPoint.enabled">
          <span
            class="progress-point-bullet"
            [class.spinner-border]="progressPoint.status === 'loading'"
          >
            {{
              progressPoint.status === "done"
                ? "✔️"
                : progressPoint.status === "error"
                ? "🚫"
                : ""
            }}
          </span>
          <span [class.text-muted]="!progressPoint.status">
            {{ progressPoint.string }}
            <span
              *ngIf="
                progressPoint.status === 'loading' &&
                progressPoint.counter &&
                progressPoint.maxCounter
              "
            >
              <!-- <span *ngIf="progressPoint.counter && progressPoint.maxCounter"> -->
              - {{ progressPoint.counter }}/{{ progressPoint.maxCounter }}
            </span>
          </span>
        </ng-template>
      </li>
    </ul>
  </div>
</div>
